<?php get_header(); ?>
	<?php if (have_posts()) : ?>
		<div id="sidebarB">
			<div class="information">
				<p>You have searched the <a href="<?php echo bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> weblog archives
				for <strong>'<?php the_search_query(); ?>'</strong>.</p>
			</div>
			<h2>Breaking News</h2>
			<ul>
				<?php wp_get_archives('type=postbypost&limit=15'); ?>
			</ul>
			<ul>
				<?php wp_list_bookmarks(); ?>
			</ul>
		</div>
		<div id="content">
			<?php while (have_posts()) : the_post(); ?>
				<div class="post" id="post-<?php the_ID(); ?>">
					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permalink: <?php the_title(); ?>"><?php the_title(); ?></a></h2>
					<p class="details_small">
						<?php the_category(', ') ?> 
						<?php comments_popup_link(__('Comments (0)'), __('Comments (1)'), __('Comments (%)')); ?>
					</p>
					<?php the_excerpt(); ?>
					<p class="date"><?php the_author(); ?> @ <?php the_time('F j, Y') ?></p>
				</div>
			<?php endwhile; ?>
			<div class="navigation">
				<div><?php next_posts_link('&laquo; Previous Entries') ?></div>
				<div><?php previous_posts_link('Next Entries &raquo;') ?></div>
			</div>
		</div>
	<?php else : ?>
		<div id="sidebarB">
			<h2>Breaking News</h2>
			<ul>
				<?php wp_get_archives('type=postbypost&limit=15'); ?>
			</ul>
			<ul>
				<?php wp_list_bookmarks(); ?>
			</ul>
		</div>
		<div id="content">
			<h2>Not found</h2>
			<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
		</div>
	<?php endif; ?>
<?php get_footer(); ?>
