<?php get_header(); ?>
	<?php if (have_posts()) : ?>
		<div id="sidebarB">
			<?php comments_template(); ?>
		</div>
		<div id="content">
			<?php while (have_posts()) : the_post(); $loop2counter++; ?>
				<div class="post" id="post-<?php the_ID(); ?>">
					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permalink: <?php the_title(); ?>"><?php the_title(); ?></a></h2>
					<p class="details_small">
						<?php the_category(', ') ?> 
						<?php comments_popup_link(__('Comments (0)'), __('Comments (1)'), __('Comments (%)')); ?>
					</p>
					<?php the_content("<em>Continue on page " . $post->ID . "</em>"); ?>
					<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
					<p class="date"><?php the_author(); ?> @ <?php the_time('F j, Y') ?></p>
				</div>
			<?php endwhile; ?>
			<?php if ('open' == $post-> comment_status) : ?> 
				<h2 id="respond"><?php _e("Leave a comment"); ?></h2>
				<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
					<p><a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">Login</a></p>
				<?php else : ?>
					<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
						<?php if ( $user_ID ) : ?>
							<p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Log out of this account') ?>">Logout</a></p>
						<?php else : ?>
							<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />
							<label for="author"><small>Name: <?php if ($req) _e('(required)'); ?></small></label></p>
							<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
							<label for="email"><small>Email: (will not be published) <?php if ($req) _e('(required)'); ?></small></label></p>
							<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
							<label for="url"><small>Web site</small></label></p>
						<?php endif; ?>
						<p class="allowed-tags"><small><strong>XHTML:</strong>  <?php _e('You can use these tags:'); ?> <?php echo allowed_tags(); ?></small></p>
						<p><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></p>
						<p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e("Leave a comment"); ?>"/>
						<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" /></p>
						<?php do_action('comment_form', $post->ID); ?>
					</form>
				<?php endif; ?>
			<?php else : ?>
				<p class="nocomments"><?php _e('Sorry, the comment form is closed at this time.'); ?></p>
			<?php endif; ?>
			<div class="navigation">
				<h2>More articles</h2>
				<div><?php previous_post_link('Previous: %link') ?></div>
				<div><?php next_post_link('Next: %link') ?></div>
			</div>
		</div>
	<?php else : ?>
		<div id="sidebarB">
			<h2>Breaking News</h2>
			<ul>
				<?php wp_get_archives('type=postbypost&limit=15'); ?>
			</ul>
			<ul>
				<?php wp_list_bookmarks(); ?>
			</ul>
		</div>
		<div id="content">
			<h2>Not found</h2>
			<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
		</div>
	<?php endif; ?>
<?php get_footer(); ?>
