<?php get_header(); ?>
	<?php if (have_posts()) : ?>
		<div id="sidebarB">
			<div class="information">
				<?php if ( is_category() || is_day() || is_month() || is_year() || is_paged() ) { ?>
					<?php if (is_category()) { ?>
						<p>You are currently browsing the archives for the <?php single_cat_title(''); ?> category.</p>
					<?php } elseif (is_day()) { ?>
						<p>You are currently browsing the <a href="<?php bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> weblog archives for the day <?php the_time('l, F jS, Y'); ?>.</p>
					<?php } elseif (is_month()) { ?>
						<p>You are currently browsing the <a href="<?php bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> weblog archives for <?php the_time('F, Y'); ?>.</p>
					<?php } elseif (is_year()) { ?>
						<p>You are currently browsing the <a href="<?php bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> weblog archives for the year <?php the_time('Y'); ?>.</p>
					<?php } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
						<p>You are currently browsing the <a href="<?php echo bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> weblog archives.</p>
					<?php } ?>
				<?php }?>
			</div>
			<h2>Breaking News</h2>
			<ul>
				<?php wp_get_archives('type=postbypost&limit=15'); ?>
			</ul>
			<ul>
				<?php wp_list_bookmarks(); ?>
			</ul>
		</div>
		<div id="content">
			<?php while (have_posts()) : the_post(); ?>
				<div class="post" id="post-<?php the_ID(); ?>">
					<h2><?php the_title(); ?></h2>
					<p class="details_small"><?php the_author(); ?> @ <?php the_time('F j, Y') ?>	# <?php comments_popup_link(__('No Comment Yet'), __('One Comment'), __('% Comments')); ?>
					</p>
					<?php the_excerpt(); ?>
					<p><a href="<?php the_permalink() ?>" rel="bookmark" title="Permalink: <?php the_title(); ?>"><em>More on page <?php echo $post->ID; ?></em></a></p>
				</div>
			<?php endwhile; ?>
			<div class="navigation">
				<div><?php next_posts_link('&laquo; Previous Entries') ?></div>
				<div><?php previous_posts_link('Next Entries &raquo;') ?></div>
			</div>
		</div>
	<?php else : ?>
		<div id="sidebarB">
			<h2>Breaking News</h2>
			<ul>
				<?php wp_get_archives('type=postbypost&limit=15'); ?>
			</ul>
			<ul>
				<?php wp_list_bookmarks(); ?>
			</ul>
		</div>
		<div id="content">
			<h2>Not found</h2>
			<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
		</div>
	<?php endif; ?>
<?php get_footer(); ?>
